# Facebook Messenger \[Deprecated soon]

{% hint style="danger" %}
Support for the direct Chatlayer integration with Facebook Messenger is coming to an end. Instead, we recommend connecting your Chatlayer bot to Facebook Messenger using the [Sinch Conversation API](/channels/sinch-conversation-api-beta.md).
{% endhint %}

Integrating your bot with Facebook Messenger is easy, just follow the steps in the wizard or watch the example video below:

{% embed url="<https://www.youtube.com/watch?v=7rChfbFl-fA>" %}

{% hint style="danger" %}
In order for your Facebook Messenger bot to be publicly available, you will have to go through Facebook's strict App Review process. The steps & best practices that must be taken for App Review, as detailed by Facebook, can be found [here](https://developers.facebook.com/docs/app-review/resources/sample-submissions/messenger-platform).
{% endhint %}

## Facebook Messenger Specific Content

In the `Channels > Messenger` section you can define settings that are specific to Facebook Messenger.

### Greeting Message

The greeting message is what will be shown first when the bot is clicked on by a user. In the example below, the greeting message is configure to `Timeless apparel for the masses`.

#### Personalization

You can personalize the greeting text using the user's name by using these template strings:

* `{internal.user.firstName}`
* `{internal.user.lastName}`
* `{internal.user.fullName}`

![](/files/-LLTwL6tCFGGWR2CYoXV)

### Get Started Button

Facebook has a `Get Started` button visible on every page. Clicking that button redirects you to a block which you can choose here. Typically, this is a block introducing the bot and what it can do for the user.

### Persistent Menu

Both Facebook and the web widget support an overflow menu that is called the `Persistent Menu`. In this menu, you can define common actions that your users can take. Typical examples include for example

* Start over
* Talk to a live agent
* Disable notifications
* Buy product \[XXX]
* Go to \[company] website
* Change Language
* Help

![](/files/-LLTwL6vY-VKxL3a2c4d)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chatlayer.ai/channels/all-channels/facebook.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
